@REM ziplibs.bat - Zip up the runtime libraries
@REM 2010-07-04 - Added to ziplib.txt, 3rdparty\lib\libboost_serialization-vc80-mt-1_44.lib
@setlocal
@set TEMPZL1=ziplibs.txt
@if NOT EXIST %TEMPZL1% goto ERR1
@if "%TEMPVERS%x" == "x" goto ERR2
@if "%TEMPVCV%x" == "x" goto ERR4

@set TEMPZL10=%TEMPVCV%-libs-%TEMPVERS%.zip
call zip8 -a -o -P %TEMPZL10% @%TEMPZL1%
@if NOT EXIST %TEMPZL10% goto ERR3
@goto END

:ERR1
@echo ERROR: Can NOT locate %TEMPZL1% file!
@goto DOPAUSE

:ERR2
@echo ERROR: No TEMPVERS in environment!
@goto DOPAUSE

:ERR3
@echo ERROR: FAILED TO CREATE %TEMPZL10%!
@goto DOPAUSE

:ERR4
@echo ERROR: No TEMPVCV in environment!
@goto DOPAUSE

:DOPAUSE
@echo Can NOT create ziplibs.zip!
@pause
@goto END

:END
@endlocal
